#include <shade/util.h>

void memcpy(char *source, char *dest, int nbytes) {
    int i;
    for (i = 0; i < nbytes; i++) {
        *(dest + i) = *(source + i);
    }
}

void memset(char *dest, char val, int len) {
    char *temp = (char *)dest;
    for(; len !=0; len--) *temp++ = val;
}